package com.fs.qywx.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.qywx.mapper.QywxCustomUserMapper;
import com.fs.qywx.domain.QywxCustomUser;
import com.fs.qywx.service.IQywxCustomUserService;

/**
 * 企业微信客户Service业务层处理
 * 
 * @author fs
 * @date 2023-08-02
 */
@Service
public class QywxCustomUserServiceImpl implements IQywxCustomUserService 
{
    @Autowired
    private QywxCustomUserMapper qywxCustomUserMapper;

    /**
     * 查询企业微信客户
     * 
     * @param id 企业微信客户主键
     * @return 企业微信客户
     */
    @Override
    public QywxCustomUser selectQywxCustomUserById(Long id)
    {
        return qywxCustomUserMapper.selectQywxCustomUserById(id);
    }

    /**
     * 查询企业微信客户列表
     * 
     * @param qywxCustomUser 企业微信客户
     * @return 企业微信客户
     */
    @Override
    public List<QywxCustomUser> selectQywxCustomUserList(QywxCustomUser qywxCustomUser)
    {
        return qywxCustomUserMapper.selectQywxCustomUserList(qywxCustomUser);
    }

    /**
     * 新增企业微信客户
     * 
     * @param qywxCustomUser 企业微信客户
     * @return 结果
     */
    @Override
    public int insertQywxCustomUser(QywxCustomUser qywxCustomUser)
    {
        return qywxCustomUserMapper.insertQywxCustomUser(qywxCustomUser);
    }

    /**
     * 修改企业微信客户
     * 
     * @param qywxCustomUser 企业微信客户
     * @return 结果
     */
    @Override
    public int updateQywxCustomUser(QywxCustomUser qywxCustomUser)
    {
        return qywxCustomUserMapper.updateQywxCustomUser(qywxCustomUser);
    }

    /**
     * 批量删除企业微信客户
     * 
     * @param ids 需要删除的企业微信客户主键
     * @return 结果
     */
    @Override
    public int deleteQywxCustomUserByIds(Long[] ids)
    {
        return qywxCustomUserMapper.deleteQywxCustomUserByIds(ids);
    }

    /**
     * 删除企业微信客户信息
     * 
     * @param id 企业微信客户主键
     * @return 结果
     */
    @Override
    public int deleteQywxCustomUserById(Long id)
    {
        return qywxCustomUserMapper.deleteQywxCustomUserById(id);
    }
}
